Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90	(revision 5082)
@@ -231,5 +231,5 @@
           ! Computation of the total perpendicular lidar signal (ATBperp for liq+ice)
           ! Upper layer
-          WHERE(tautot(1:npoints,icol,1) .gt. 0)
+          WHERE(tautot(1:npoints,icol,1) > 0)
              pnorm_perp_tot(1:npoints,icol,1) = (beta_perp_ice(1:npoints,icol,1)+           &
                   beta_perp_liq(1:npoints,icol,1)-                                          &
@@ -251,8 +251,8 @@
              ! Betaperp=beta_mol(:,k)/(1+1/0.0284)) [bodhaine et al. 1999] in the following 
              ! equations:
-             WHERE (pnorm(1:npoints,icol,k) .eq. 0)
+             WHERE (pnorm(1:npoints,icol,k) == 0)
                 pnorm_perp_tot(1:npoints,icol,k)=0._wp
              ELSEWHERE
-                where(tautot_lay(1:npoints) .gt. 0.)
+                where(tautot_lay(1:npoints) > 0.)
                    pnorm_perp_tot(1:npoints,icol,k) = (beta_perp_ice(1:npoints,icol,k)+     &
                         beta_perp_liq(1:npoints,icol,k)-(beta_mol(1:npoints,k)/(1._wp+1._wp/  &
@@ -358,7 +358,7 @@
     latlid = .false.
     lgrlidar532 = .false.
-    if (platform .eq. 'calipso') lcalipso=.true.
-    if (platform .eq. 'atlid') latlid=.true.
-    if (platform .eq. 'grlidar532') lgrlidar532=.true.
+    if (platform == 'calipso') lcalipso=.true.
+    if (platform == 'atlid') latlid=.true.
+    if (platform == 'grlidar532') lgrlidar532=.true.
         
     ! Vertically regrid input data
@@ -400,6 +400,6 @@
        do ic = 1, ncol
           pnorm_c = pnormFlip(:,ic,:)
-          where ((pnorm_c .lt. xmax) .and. (betamolFlip(:,1,:) .lt. xmax) .and.          &
-                (betamolFlip(:,1,:) .gt. 0.0 ))
+          where ((pnorm_c < xmax) .and. (betamolFlip(:,1,:) < xmax) .and.          &
+                (betamolFlip(:,1,:) > 0.0 ))
              x3d_c = pnorm_c/betamolFlip(:,1,:)
           elsewhere
@@ -429,5 +429,5 @@
        do ic = 1, ncol
           pnorm_c = pnorm(:,ic,:)
-          where ((pnorm_c.lt.xmax) .and. (pmol.lt.xmax) .and. (pmol.gt. 0.0 ))
+          where ((pnorm_c<xmax) .and. (pmol<xmax) .and. (pmol> 0.0 ))
              x3d_c = pnorm_c/pmol
           elsewhere
@@ -463,5 +463,5 @@
           enddo
        enddo
-       where(cfad2 .ne. R_UNDEF) cfad2=cfad2/ncol
+       where(cfad2 /= R_UNDEF) cfad2=cfad2/ncol
     endif 
     
@@ -501,5 +501,5 @@
     do k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1) 
-       WHERE (tautot_lay(:) .gt. 0.)
+       WHERE (tautot_lay(:) > 0.)
           pnorm(:,k) = beta(:,k)*EXP(-2._wp*tau(:,k-1)) /&
                (2._wp*tautot_lay(:))*(1._wp-EXP(-2._wp*tautot_lay(:)))
@@ -529,6 +529,6 @@
     do k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1)       
-       WHERE ( EXP(-2._wp*tau(:,k-1)) .gt. epsrealwp )
-          WHERE (tautot_lay(:) .gt. 0.)
+       WHERE ( EXP(-2._wp*tau(:,k-1)) > epsrealwp )
+          WHERE (tautot_lay(:) > 0.)
              beta(:,k) = pnorm(:,k)/ EXP(-2._wp*tau(:,k-1))* &
                   (2._wp*tautot_lay(:))/(1._wp-exp(-2._wp*tautot_lay(:)))
@@ -650,5 +650,5 @@
     do k=1,Nlevels
        ! Cloud detection at subgrid-scale:
-       where ((x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
+       where ((x(:,:,k) > S_cld) .and. (x(:,:,k) /= undef) )
           cldy(:,:,k)=1._wp
        elsewhere
@@ -657,5 +657,5 @@
        
        ! Number of usefull sub-columns:
-       where ((x(:,:,k) .gt. S_att) .and. (x(:,:,k) .ne. undef) )
+       where ((x(:,:,k) > S_att) .and. (x(:,:,k) /= undef) )
           srok(:,:,k)=1._wp
        elsewhere
@@ -677,7 +677,7 @@
              ! Computation of the cloud fraction as a function of the temperature instead
              ! of height, for ice,liquid and all clouds
-             if(srok(ip,ic,k).gt.0.)then
+             if(srok(ip,ic,k)>0.)then
                 do itemp=1,Ntemp
-                   if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
+                   if( (tmp(ip,k)>=tempmod(itemp)).and.(tmp(ip,k)<tempmod(itemp+1)) )then
                       lidarcldtempind(ip,itemp)=lidarcldtempind(ip,itemp)+1._wp
                    endif
@@ -685,7 +685,7 @@
              endif
              
-             if(cldy(ip,ic,k).eq.1.)then
+             if(cldy(ip,ic,k)==1.)then
                 do itemp=1,Ntemp 
-                   if( (tmp(ip,k) .ge. tempmod(itemp)).and.(tmp(ip,k) .lt. tempmod(itemp+1)) )then
+                   if( (tmp(ip,k) >= tempmod(itemp)).and.(tmp(ip,k) < tempmod(itemp+1)) )then
                       lidarcldtemp(ip,itemp,1)=lidarcldtemp(ip,itemp,1)+1._wp
                    endif
@@ -695,7 +695,7 @@
              iz=1
              p1 = pplay(ip,k)
-             if ( p1.gt.0. .and. p1.lt.(440._wp*100._wp)) then ! high clouds
+             if ( p1>0. .and. p1<(440._wp*100._wp)) then ! high clouds
                 iz=3
-             else if(p1.ge.(440._wp*100._wp) .and. p1.lt.(680._wp*100._wp)) then ! mid clouds
+             else if(p1>=(440._wp*100._wp) .and. p1<(680._wp*100._wp)) then ! mid clouds
                 iz=2
              endif
@@ -714,5 +714,5 @@
     
     ! Grid-box 3D cloud fraction
-    where ( nsub(:,:).gt.0.0 )
+    where ( nsub(:,:)>0.0 )
        lidarcld(:,:) = lidarcld(:,:)/nsub(:,:)
     elsewhere
@@ -729,5 +729,5 @@
        enddo
     enddo
-    where (nsublayer(:,:) .gt. 0.0)
+    where (nsublayer(:,:) > 0.0)
        cldlayer(:,:) = cldlayer(:,:)/nsublayer(:,:)
     elsewhere
@@ -748,5 +748,5 @@
 
              ! Avoid zero values
-             if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
+             if( (cldy(i,ncol,nlev)==1.) .and. (ATBperp(i,ncol,nlev)>0.) )then
                 ! Computation of the ATBperp along the phase discrimination line
                 ATBperp_tmp = (ATB(i,ncol,nlev)**5)*alpha50 + (ATB(i,ncol,nlev)**4)*beta50 + &
@@ -756,8 +756,8 @@
                 ! 4.1.a) Ice: ATBperp above the phase discrimination line
                 ! ########################################################################
-                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) .ge. 0.)then ! Ice clouds
+                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) >= 0.)then ! Ice clouds
 
                    ! ICE with temperature above 273,15°K = Liquid (false ice)
-                   if(tmp(i,nlev) .gt. 273.15) then ! Temperature above 273,15 K
+                   if(tmp(i,nlev) > 273.15) then ! Temperature above 273,15 K
                      ! Liquid: False ice corrected by the temperature to Liquid
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp ! False ice detection ==> added to Liquid
@@ -767,7 +767,7 @@
                                                                               ! to classify the phase cloud
                       cldlayphase(i,ncol,4,2) = 1. ! tot cloud
-                      if (p1 .gt. 0. .and. p1.lt.(440._wp*100._wp)) then ! high cloud
+                      if (p1 > 0. .and. p1<(440._wp*100._wp)) then ! high cloud
                          cldlayphase(i,ncol,3,2) = 1._wp
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then ! mid cloud
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then ! mid cloud
                          cldlayphase(i,ncol,2,2) = 1._wp
                       else ! low cloud
@@ -776,8 +776,8 @@
                       cldlayphase(i,ncol,4,5) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then 
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,5) = 1._wp
                       ! Middle cloud
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,5) = 1._wp
                       ! Low cloud
@@ -791,8 +791,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud 
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then 
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then 
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud
@@ -806,13 +806,13 @@
                 else
                    ! Liquid with temperature above 231,15°K
-                   if(tmp(i,nlev) .gt. 231.15_wp) then
+                   if(tmp(i,nlev) > 231.15_wp) then
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp
                       tmpl(i,ncol,nlev)       = tmp(i,nlev)
                       cldlayphase(i,ncol,4,2) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,2) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,2) = 1._wp
                       ! Low cloud   
@@ -827,8 +827,8 @@
                       cldlayphase(i,ncol,4,4) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,4) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,4) = 1._wp
                       ! Low cloud
@@ -838,8 +838,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud   
@@ -859,5 +859,5 @@
              p1 = pplay(i,nlev)
 
-             if((cldy(i,ncol,nlev) .eq. 1.) .and. (ATBperp(i,ncol,nlev) .gt. 0.) )then
+             if((cldy(i,ncol,nlev) == 1.) .and. (ATBperp(i,ncol,nlev) > 0.) )then
                 ! Computation of the ATBperp of the phase discrimination line
                 ATBperp_tmp = (ATB(i,ncol,nlev)**5)*alpha50 + (ATB(i,ncol,nlev)**4)*beta50 + &
@@ -868,6 +868,6 @@
                 ! ########################################################################
                 ! ICE with temperature above 273,15°K = Liquid (false ice)
-                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) .ge. 0.)then ! Ice clouds
-                   if(tmp(i,nlev) .gt. 273.15)then
+                if((ATBperp(i,ncol,nlev)-ATBperp_tmp) >= 0.)then ! Ice clouds
+                   if(tmp(i,nlev) > 273.15)then
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp ! false ice ==> liq
                       tmpl(i,ncol,nlev)       = tmp(i,nlev)
@@ -875,8 +875,8 @@
                       cldlayphase(i,ncol,4,2) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then 
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,2) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then 
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,2) = 1._wp
                       ! Low cloud
@@ -887,8 +887,8 @@
                       cldlayphase(i,ncol,4,5) = 1. ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,5) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,5) = 1._wp
                       ! Low cloud   
@@ -902,8 +902,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt.(680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 <(680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud   
@@ -918,13 +918,13 @@
                 else
                    ! Liquid with temperature above 231,15°K
-                   if(tmp(i,nlev) .gt. 231.15)then
+                   if(tmp(i,nlev) > 231.15)then
                       lidarcldphase(i,nlev,2) = lidarcldphase(i,nlev,2)+1._wp
                       tmpl(i,ncol,nlev)       = tmp(i,nlev)
                       cldlayphase(i,ncol,4,2) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,2) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,2) = 1._wp
                       ! Low cloud   
@@ -939,8 +939,8 @@
                       cldlayphase(i,ncol,4,4) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,4) = 1._wp
                       ! Middle   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,4) = 1._wp
                       ! Low cloud   
@@ -951,8 +951,8 @@
                       cldlayphase(i,ncol,4,1) = 1._wp ! tot cloud
                       ! High cloud
-                      if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                      if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                          cldlayphase(i,ncol,3,1) = 1._wp
                       ! Middle cloud   
-                      else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                      else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                          cldlayphase(i,ncol,2,1) = 1._wp
                       ! Low cloud   
@@ -966,5 +966,5 @@
                 
                 ! Find the level of the highest cloud with SR>30
-                if(x(i,ncol,nlev) .gt. S_cld_att) then ! SR > 30.
+                if(x(i,ncol,nlev) > S_cld_att) then ! SR > 30.
                     toplvlsat = nlev+1
                     goto 99
@@ -978,16 +978,16 @@
           ! see Cesana and Chepfer 2013 Sect.III.2
           ! ##############################################################################
-          if(toplvlsat.ne.0) then
+          if(toplvlsat/=0) then
              do nlev = toplvlsat,Nlevels
                 p1 = pplay(i,nlev)
-                if(cldy(i,ncol,nlev).eq.1.)then
+                if(cldy(i,ncol,nlev)==1.)then
                    lidarcldphase(i,nlev,3) = lidarcldphase(i,nlev,3)+1._wp
                    tmpu(i,ncol,nlev)       = tmp(i,nlev)
                    cldlayphase(i,ncol,4,3) = 1._wp ! tot cloud
                    ! High cloud
-                   if (p1 .gt. 0. .and. p1 .lt. (440._wp*100._wp)) then
+                   if (p1 > 0. .and. p1 < (440._wp*100._wp)) then
                       cldlayphase(i,ncol,3,3) = 1._wp
                    ! Middle cloud   
-                   else if(p1 .ge. (440._wp*100._wp) .and. p1 .lt. (680._wp*100._wp)) then
+                   else if(p1 >= (440._wp*100._wp) .and. p1 < (680._wp*100._wp)) then
                       cldlayphase(i,ncol,2,3) = 1._wp
                    ! Low cloud   
@@ -1008,5 +1008,5 @@
     ! Compute the Ice percentage in cloud = ice/(ice+liq) as a function of the occurrences
     lidarcldphasetmp(:,:) = lidarcldphase(:,:,1)+lidarcldphase(:,:,2);
-    WHERE (lidarcldphasetmp(:,:) .gt. 0.)
+    WHERE (lidarcldphasetmp(:,:) > 0.)
        lidarcldphase(:,:,6)=lidarcldphase(:,:,1)/lidarcldphasetmp(:,:)
     ELSEWHERE
@@ -1016,5 +1016,5 @@
     ! Compute Phase 3D Cloud Fraction
     !WHERE (nsub(:,Nlevels:1:-1) .gt. 0.0 )
-    WHERE (nsub(:,:) .gt. 0.0 )  
+    WHERE (nsub(:,:) > 0.0 )
        lidarcldphase(:,:,1)=lidarcldphase(:,:,1)/nsub(:,:)
        lidarcldphase(:,:,2)=lidarcldphase(:,:,2)/nsub(:,:)
@@ -1049,5 +1049,5 @@
     ! Compute the Ice percentage in cloud = ice/(ice+liq)
     cldlayerphasetmp(:,:)=cldlayerphase(:,:,1)+cldlayerphase(:,:,2)
-    WHERE (cldlayerphasetmp(:,:).gt. 0.)
+    WHERE (cldlayerphasetmp(:,:)> 0.)
        cldlayerphase(:,:,6)=cldlayerphase(:,:,1)/cldlayerphasetmp(:,:)
     ELSEWHERE
@@ -1056,5 +1056,5 @@
     
     do i=1,Nphase-1
-       WHERE ( cldlayerphasesum(:,:).gt.0.0 )
+       WHERE ( cldlayerphasesum(:,:)>0.0 )
           cldlayerphase(:,:,i) = (cldlayerphase(:,:,i)/cldlayerphasesum(:,:)) * cldlayer(:,:)
        ENDWHERE
@@ -1065,10 +1065,10 @@
           checkcldlayerphase=0.
           checkcldlayerphase2=0.
-          if (cldlayerphasesum(i,iz) .gt. 0.0 )then
+          if (cldlayerphasesum(i,iz) > 0.0 )then
              do ic=1,Nphase-3
                 checkcldlayerphase = checkcldlayerphase+cldlayerphase(i,iz,ic)
              enddo
              checkcldlayerphase2 = cldlayer(i,iz)-checkcldlayerphase
-             if((checkcldlayerphase2 .gt. 0.01) .or. (checkcldlayerphase2 .lt. -0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
+             if((checkcldlayerphase2 > 0.01) .or. (checkcldlayerphase2 < -0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
           endif
        enddo
@@ -1076,5 +1076,5 @@
     
     do i=1,Nphase-1
-       WHERE (nsublayer(:,:) .eq. 0.0)
+       WHERE (nsublayer(:,:) == 0.0)
           cldlayerphase(:,:,i) = undef
        ENDWHERE
@@ -1086,14 +1086,14 @@
           do i=1,Npoints
              do itemp=1,Ntemp
-                if(tmpi(i,ncol,nlev).gt.0.)then
-                   if((tmpi(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpi(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
+                if(tmpi(i,ncol,nlev)>0.)then
+                   if((tmpi(i,ncol,nlev) >= tempmod(itemp)) .and. (tmpi(i,ncol,nlev) < tempmod(itemp+1)) )then
                       lidarcldtemp(i,itemp,2)=lidarcldtemp(i,itemp,2)+1._wp
                    endif
-                elseif(tmpl(i,ncol,nlev) .gt. 0.)then
-                   if((tmpl(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpl(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
+                elseif(tmpl(i,ncol,nlev) > 0.)then
+                   if((tmpl(i,ncol,nlev) >= tempmod(itemp)) .and. (tmpl(i,ncol,nlev) < tempmod(itemp+1)) )then
                       lidarcldtemp(i,itemp,3)=lidarcldtemp(i,itemp,3)+1._wp
                    endif
-                elseif(tmpu(i,ncol,nlev) .gt. 0.)then
-                   if((tmpu(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpu(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
+                elseif(tmpu(i,ncol,nlev) > 0.)then
+                   if((tmpu(i,ncol,nlev) >= tempmod(itemp)) .and. (tmpu(i,ncol,nlev) < tempmod(itemp+1)) )then
                       lidarcldtemp(i,itemp,4)=lidarcldtemp(i,itemp,4)+1._wp
                    endif
@@ -1118,5 +1118,5 @@
     ! Compute the Ice percentage in cloud = ice/(ice+liq)
     sumlidarcldtemp(:,:)=lidarcldtemp(:,:,2)+lidarcldtemp(:,:,3)    
-    WHERE(sumlidarcldtemp(:,:) .gt. 0.)
+    WHERE(sumlidarcldtemp(:,:) > 0.)
        lidarcldtemp(:,:,5)=lidarcldtemp(:,:,2)/sumlidarcldtemp(:,:)
     ELSEWHERE
@@ -1125,5 +1125,5 @@
     
     do i=1,4
-       WHERE(lidarcldtempind(:,:) .gt. 0.)
+       WHERE(lidarcldtempind(:,:) > 0.)
           lidarcldtemp(:,:,i) = lidarcldtemp(:,:,i)/lidarcldtempind(:,:)
        ELSEWHERE
@@ -1193,5 +1193,5 @@
     do k=1,Nlevels
        ! Cloud detection at subgrid-scale:
-       where ((x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
+       where ((x(:,:,k) > S_cld) .and. (x(:,:,k) /= undef) )
           cldy(:,:,k)=1._wp
        elsewhere
@@ -1200,5 +1200,5 @@
        
        ! Number of usefull sub-columns:
-       where ((x(:,:,k) .gt. S_att) .and. (x(:,:,k) .ne. undef) )
+       where ((x(:,:,k) > S_att) .and. (x(:,:,k) /= undef) )
           srok(:,:,k)=1._wp
        elsewhere
@@ -1216,7 +1216,7 @@
              iz=1
              p1 = pplay(ip,k)
-             if ( p1.gt.0. .and. p1.lt.(440._wp*100._wp)) then ! high clouds
+             if ( p1>0. .and. p1<(440._wp*100._wp)) then ! high clouds
                 iz=3
-             else if(p1.ge.(440._wp*100._wp) .and. p1.lt.(680._wp*100._wp)) then ! mid clouds
+             else if(p1>=(440._wp*100._wp) .and. p1<(680._wp*100._wp)) then ! mid clouds
                 iz=2
              endif
@@ -1235,5 +1235,5 @@
     
     ! Grid-box 3D cloud fraction
-    where ( nsub(:,:).gt.0.0 )
+    where ( nsub(:,:)>0.0 )
        lidarcld(:,:) = lidarcld(:,:)/nsub(:,:)
     elsewhere
@@ -1250,5 +1250,5 @@
        enddo
     enddo
-    where (nsublayer(:,:) .gt. 0.0)
+    where (nsublayer(:,:) > 0.0)
        cldlayer(:,:) = cldlayer(:,:)/nsublayer(:,:)
     elsewhere
@@ -1344,5 +1344,5 @@
     do k=1,Nlevels
        ! Cloud detection at subgrid-scale:
-       where ( (x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
+       where ( (x(:,:,k) > S_cld) .and. (x(:,:,k) /= undef) )
           cldy(:,:,k)=1._wp
        elsewhere
@@ -1350,5 +1350,5 @@
        endwhere
        ! Fully attenuated layer detection at subgrid-scale:
-       where ( (x(:,:,k) .lt. S_att_opaq) .and. (x(:,:,k) .ge. 0.) .and. (x(:,:,k) .ne. undef) ) !DEBUG
+       where ( (x(:,:,k) < S_att_opaq) .and. (x(:,:,k) >= 0.) .and. (x(:,:,k) /= undef) ) !DEBUG
           cldyopaq(:,:,k)=1._wp
        elsewhere
@@ -1358,5 +1358,5 @@
 
        ! Number of usefull sub-column layers:
-       where ( (x(:,:,k) .gt. S_att) .and. (x(:,:,k) .ne. undef) )
+       where ( (x(:,:,k) > S_att) .and. (x(:,:,k) /= undef) )
           srok(:,:,k)=1._wp
        elsewhere
@@ -1364,5 +1364,5 @@
        endwhere
        ! Number of usefull sub-columns layers for z_opaque 3D fraction:
-       where ( (x(:,:,k) .ge. 0.) .and. (x(:,:,k) .ne. undef) ) !DEBUG
+       where ( (x(:,:,k) >= 0.) .and. (x(:,:,k) /= undef) ) !DEBUG
           srokopaq(:,:,k)=1._wp
        elsewhere
@@ -1397,5 +1397,5 @@
 
      ! Declaring non-opaque cloudy profiles as thin cloud profiles
-	   if ( cldlay(ip,ic,4).gt. 0. .and. cldlay(ip,ic,1) .eq. 0. ) then
+	   if ( cldlay(ip,ic,4)> 0. .and. cldlay(ip,ic,1) == 0. ) then
 	      cldlay(ip,ic,2)  =  1._wp
  	   endif
@@ -1404,5 +1404,5 @@
 
      ! Opaque cloud profiles
-	   if ( cldlay(ip,ic,1) .eq. 1. ) then
+	   if ( cldlay(ip,ic,1) == 1. ) then
 	      zopac = 0._wp
 	      z_top = 0._wp
@@ -1410,5 +1410,5 @@
      ! Declaring z_opaque altitude and opaque cloud fraction for 3D and 2D variables
      ! From SFC-2-TOA ( actually from vgrid_z(SFC+1) = vgrid_z(Nlevels-1) )
-	         if ( cldy(ip,ic,Nlevels-k) .eq. 1. .and. zopac .eq. 0. ) then
+	         if ( cldy(ip,ic,Nlevels-k) == 1. .and. zopac == 0. ) then
 		    lidarcldtype(ip,Nlevels-k + 1,3) = lidarcldtype(ip,Nlevels-k + 1,3) + 1._wp
 		    cldlay(ip,ic,3)                  = vgrid_z(Nlevels-k+1)      ! z_opaque altitude
@@ -1416,5 +1416,5 @@
 		    zopac = Nlevels-k+1                        ! z_opaque vertical index on vgrid_z
 		 endif
-	         if ( cldy(ip,ic,Nlevels-k) .eq. 1. ) then
+	         if ( cldy(ip,ic,Nlevels-k) == 1. ) then
 		    lidarcldtype(ip,Nlevels-k ,1)    = lidarcldtype(ip,Nlevels-k ,1) + 1._wp
 		    z_top = Nlevels-k    ! top cloud layer vertical index on vgrid_z
@@ -1423,5 +1423,5 @@
      ! Summing opaque cloud mean temperatures and altitudes
      ! as defined in Vaillant de Guelis et al. 2017a, AMT
-              if (zopac .ne. 0) then 
+              if (zopac /= 0) then
                  cldtypetemp(ip,1) = cldtypetemp(ip,1) + ( tmp(ip,zopac) + tmp(ip,z_top) )/2.
                  cldtypetemp(ip,3) = cldtypetemp(ip,3) + tmp(ip,zopac)                 ! z_opaque
@@ -1435,5 +1435,5 @@
 
      ! Thin cloud profiles
-	   if ( cldlay(ip,ic,2) .eq. 1. ) then
+	   if ( cldlay(ip,ic,2) == 1. ) then
 	      topcloud = 0._wp
 	      z_top = 0._wp
@@ -1442,9 +1442,9 @@
      ! Declaring thin cloud fraction for 3D variable
      ! From TOA-2-SFC
-                 if ( cldy(ip,ic,k) .eq. 1. .and. topcloud .eq. 1. ) then
+                 if ( cldy(ip,ic,k) == 1. .and. topcloud == 1. ) then
                     lidarcldtype(ip,k,2) = lidarcldtype(ip,k,2) + 1._wp
 		    z_base = k ! bottom cloud layer
                  endif
-	         if ( cldy(ip,ic,k) .eq. 1. .and. topcloud .eq. 0. ) then
+	         if ( cldy(ip,ic,k) == 1. .and. topcloud == 0. ) then
                     lidarcldtype(ip,k,2) = lidarcldtype(ip,k,2) + 1._wp
 		    z_top = k  ! top cloud layer
@@ -1458,5 +1458,5 @@
 	      cloudemis = 0._wp
      	      do k=z_base+1,Nlevels
-	         if (  (x(ip,ic,k) .gt. S_att_opaq) .and. (x(ip,ic,k) .lt. 1.0) .and. (x(ip,ic,k) .ne. undef)  ) then
+	         if (  (x(ip,ic,k) > S_att_opaq) .and. (x(ip,ic,k) < 1.0) .and. (x(ip,ic,k) /= undef)  ) then
 		    srmean = srmean + x(ip,ic,k)
 		    srcount = srcount + 1.
@@ -1464,5 +1464,5 @@
 	      enddo
 	      ! If clear sky layers exist below bottom cloud layer
-	      if ( srcount .gt. 0. ) then
+	      if ( srcount > 0. ) then
 	      	 trans2 = srmean/srcount              ! thin cloud transmittance**2
 	      	 tau_app = -(log(trans2))/2.          ! apparent cloud optical depth
@@ -1484,5 +1484,5 @@
 
     ! 3D cloud types fraction (opaque=1 and thin=2 clouds)
-    where ( nsub(:,:) .gt. 0. )
+    where ( nsub(:,:) > 0. )
        lidarcldtype(:,:,1) = lidarcldtype(:,:,1)/nsub(:,:)
        lidarcldtype(:,:,2) = lidarcldtype(:,:,2)/nsub(:,:)
@@ -1492,5 +1492,5 @@
     endwhere
     ! 3D z_opaque fraction (=3)
-    where ( nsubopaq(:,:) .gt. 0. )
+    where ( nsubopaq(:,:) > 0. )
        lidarcldtype(:,:,3) = lidarcldtype(:,:,3)/nsubopaq(:,:)
     elsewhere
@@ -1502,5 +1502,5 @@
     do ip = 1, Npoints
      	do k = 2, Nlevels
-            if ( (lidarcldtype(ip,k,3) .ne. undef) .and. (lidarcldtype(ip,k-1,4) .ne. undef) ) then
+            if ( (lidarcldtype(ip,k,3) /= undef) .and. (lidarcldtype(ip,k-1,4) /= undef) ) then
 	        lidarcldtype(ip,k,4) = lidarcldtype(ip,k,3) + lidarcldtype(ip,k-1,4)
 	    else
@@ -1520,5 +1520,5 @@
 
     ! Mean temperature and altitude
-    where (cldtype(:,1) .gt. 0.)
+    where (cldtype(:,1) > 0.)
        cldtypetemp(:,1) = cldtypetemp(:,1)/cldtype(:,1) ! opaque cloud temp
        cldtypetemp(:,3) = cldtypetemp(:,3)/cldtype(:,1) ! z_opaque
@@ -1534,5 +1534,5 @@
     endwhere
 
-    where (cldtype(:,2) .gt. 0.) ! thin cloud
+    where (cldtype(:,2) > 0.) ! thin cloud
        cldtypetemp(:,2) = cldtypetemp(:,2)/cldtype(:,2)
        cldtypemeanz(:,2) = cldtypemeanz(:,2)/cldtype(:,2)
@@ -1545,5 +1545,5 @@
 
     ! Mean thin cloud emissivity
-    where (count_emis(:) .gt. 0.) ! thin cloud
+    where (count_emis(:) > 0.) ! thin cloud
        cldthinemis(:) = cldthinemis(:)/count_emis(:)
     elsewhere
@@ -1551,5 +1551,5 @@
     endwhere
 
-    where (nsublayer(:,:) .gt. 0.)
+    where (nsublayer(:,:) > 0.)
        cldtype(:,:) = cldtype(:,:)/nsublayer(:,:)
     elsewhere
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5082)
@@ -275,5 +275,5 @@
         cfg%Lisccp, cfg%Lmisr, cfg%Lmodis, cfg%Lrttov
 
-    if (overlaplmdz.ne.overlap) then
+    if (overlaplmdz/=overlap) then
        print*,'Attention overlaplmdz different de overlap lu dans namelist '
     endif
@@ -282,5 +282,5 @@
    print*,'On passe par using_xios'
  ELSE
-   if (cosp_init_flag .eq. 0) then
+   if (cosp_init_flag == 0) then
 
       ! Initialize the distributional parameters for hydrometeors in radar simulator.
@@ -311,9 +311,9 @@
 
 !!! Ici on modifie les cles logiques pour les outputs selon les champs actives dans les .xml
-  if ((itap.ge.1).and.(first_write))then
+  if ((itap>=1).and.(first_write))then
     IF (using_xios) call read_xiosfieldactive(cfg)
     first_write=.false.
 
-if (cosp_init_flag .eq. 0) then
+if (cosp_init_flag == 0) then
 
     ! Initialize the distributional parameters for hydrometeors in radar simulator.
@@ -384,5 +384,5 @@
 ! 3) Masque terre/mer a partir de la variable fracTerLic
         do ip = 1, Npoints
-          if (fracTerLic(ip).ge.0.5) then
+          if (fracTerLic(ip)>=0.5) then
              land(ip) = 1.
           else
@@ -424,5 +424,5 @@
 
 
-if (cosp_init_flag .eq. 1) then      ! cosp_init_flag = 1
+if (cosp_init_flag == 1) then      ! cosp_init_flag = 1
 
 !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -538,5 +538,5 @@
       endif ! debut_cosp
 
-if (cosp_init_flag .eq. 1) then
+if (cosp_init_flag == 1) then
 
 !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
